Debian Bug report logs - #415022
dialog: resize of terminal when using 'msgbox' won't redraw text

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Brian Rolfe <brianr@xandros.com>

Date: Thu, 15 Mar 2007 16:12:01 UTC

Severity: normal

Tags: patch

Found in version dialog/1.0-20060221-3

Fixed in version dialog/1.1-20070325-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#415022; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Brian Rolfe <brianr@xandros.com>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Brian Rolfe <brianr@xandros.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Thu, 15 Mar 2007 12:00:17 -0400
[Message part 1 (text/plain, inline)]
Package: dialog
Version: 1.0-20060221-3
Severity: normal
Tags: patch

If you resize the terminal while using 'msgbox', then the message box
body text is not redrawn.
  e.g. dialog --msgbox 'foo' 0 0

  -Brian

-- System Information:
Debian Release: 4.0
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux 2.6.18-dcc-srv
Locale: LANG=en_US, LC_CTYPE=en_US (charmap=ISO-8859-1) (ignored: LC_ALL set to en_US)

Versions of packages dialog depends on:
ii  debianutils                 2.17         Miscellaneous utilities specific t
ii  libc6                       2.3.6.ds1-13 GNU C Library: Shared libraries
ii  libncursesw5                5.5-5        Shared libraries for terminal hand

dialog recommends no packages.

-- no debconf information
[dialog.diff (text/plain, attachment)]

Message sent on to Brian Rolfe <brianr@xandros.com>:
Bug#415022. Full text and rfc822 format available.

Message #8 received at 415022-submitter@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: 415022-submitter@bugs.debian.org
Subject: Re: Bug#415022: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Thu, 15 Mar 2007 12:36:45 -0400 (EDT)
On Thu, 15 Mar 2007, Brian Rolfe wrote:

> Package: dialog
> Version: 1.0-20060221-3

The current version is 1.1.20070227 (which fixes this issue).

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#415022; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Brian Rolfe <brianr@xandros.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #13 received at 415022-quiet@bugs.debian.org (full text, mbox):

From: Brian Rolfe <brianr@xandros.com>
To: Thomas Dickey <dickey@his.com>, 415022-quiet@bugs.debian.org
Subject: Re: Bug#415022: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Thu, 15 Mar 2007 12:54:17 -0400
Do I need a newer version of ncurses because I still see this problem?
  debian package: libncurses5-dev  5.5-5



Information stored:
Bug#415022; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Thomas Dickey <dickey@his.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #18 received at 415022-quiet@bugs.debian.org (full text, mbox):

From: Thomas Dickey <dickey@his.com>
To: Brian Rolfe <brianr@xandros.com>
Cc: 415022-quiet@bugs.debian.org
Subject: Re: Bug#415022: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Thu, 15 Mar 2007 12:55:33 -0400 (EDT)
On Thu, 15 Mar 2007, Brian Rolfe wrote:

> Do I need a newer version of ncurses because I still see this problem?
>  debian package: libncurses5-dev  5.5-5

no - I was pointing out that the problem is fixed in the current dialog
upstream, which you may not have available yet.

-- 
Thomas E. Dickey
http://invisible-island.net
ftp://invisible-island.net



Information stored:
Bug#415022; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Brian Rolfe <brianr@xandros.com>:
Extra info received and filed, but not forwarded. Full text and rfc822 format available.

Message #23 received at 415022-quiet@bugs.debian.org (full text, mbox):

From: Brian Rolfe <brianr@xandros.com>
To: Thomas Dickey <dickey@his.com>
Cc: 415022-quiet@bugs.debian.org
Subject: Re: Bug#415022: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Thu, 15 Mar 2007 14:30:51 -0400
The bug was logged against Debian's version, but I've since tested with 
the latest upstream source (1.1.20070227) and I can still reproduce the bug.

Thomas Dickey wrote:
> 
> no - I was pointing out that the problem is fixed in the current dialog
> upstream, which you may not have available yet.
> 




Information forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#415022; Package dialog. Full text and rfc822 format available.

Acknowledgement sent to Santiago Vila <sanvila@unex.es>:
Extra info received and forwarded to list. Copy sent to Santiago Vila <sanvila@debian.org>. Full text and rfc822 format available.

Message #28 received at 415022@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@unex.es>
To: Brian Rolfe <brianr@xandros.com>
Cc: Thomas Dickey <dickey@his.com>, 415022@bugs.debian.org
Subject: Re: Bug#415022: dialog: resize of terminal when using 'msgbox' won't redraw text
Date: Sun, 25 Mar 2007 13:46:36 +0200 (CEST)
On Thu, 15 Mar 2007, Brian Rolfe wrote:

> The bug was logged against Debian's version, but I've since tested with the
> latest upstream source (1.1.20070227) and I can still reproduce the bug.

I can reproduce the bug as well, using 1.1.20070227.

Note: Please don't use the BTW *-quiet address. Otherwise I don't get
the mails.

Thanks.



Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Brian Rolfe <brianr@xandros.com>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #33 received at 415022-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 415022-close@bugs.debian.org
Subject: Bug#415022: fixed in dialog 1.1-20070325-1
Date: Sun, 01 Apr 2007 12:47:03 +0000
Source: dialog
Source-Version: 1.1-20070325-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20070325-1.diff.gz
  to pool/main/d/dialog/dialog_1.1-20070325-1.diff.gz
dialog_1.1-20070325-1.dsc
  to pool/main/d/dialog/dialog_1.1-20070325-1.dsc
dialog_1.1-20070325-1_powerpc.deb
  to pool/main/d/dialog/dialog_1.1-20070325-1_powerpc.deb
dialog_1.1-20070325.orig.tar.gz
  to pool/main/d/dialog/dialog_1.1-20070325.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 415022@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun,  1 Apr 2007 14:23:12 +0200
Source: dialog
Binary: dialog
Architecture: source powerpc
Version: 1.1-20070325-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 415022 415596
Changes: 
 dialog (1.1-20070325-1) unstable; urgency=low
 .
   * New upstream release.
   * Resizing of msgbox should now work (Closes: #415022).
   * Fixed documentation regarding gauge and "XXX" string (Closes: #415596).
Files: 
 93c9318483450700eb0c922c4ce97751 593 misc optional dialog_1.1-20070325-1.dsc
 885a94081bb2630de82d787d0e0a1c4d 364516 misc optional dialog_1.1-20070325.orig.tar.gz
 3ff4408efa0a7debd21081e1ec1efe23 8799 misc optional dialog_1.1-20070325-1.diff.gz
 d7afacdd71caaa37151e73955544818b 258834 misc optional dialog_1.1-20070325-1_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.6 (GNU/Linux)

iD8DBQFGD6UNd9Uuvj7yPNYRArSmAJ4zvBuczyiONw25LTPT707GHuSWJwCfZ43m
3rWGUOB9ij8EK4BCfIXpCOU=
=AWol
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 24 Jun 2007 21:27:41 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 00:27:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.